{
    "manifest_version": 3,
    "name": "InsightReply",
    "version": "1.0.0",
    "description": "InsightReply 是一个帮助创始人在行业热点中增强社交表达并且输出高质评论的助手",
    "action": {
        "default_popup": "index.html"
    },
    "background": {
        "service_worker": "src/background/index.ts",
        "type": "module"
    },
    "options_ui": {
        "page": "options.html",
        "open_in_tab": true
    },
    "permissions": [
        "storage",
        "activeTab"
    ],
    "host_permissions": [
        "https://twitter.com/*",
        "https://x.com/*"
    ],
    "content_scripts": [
        {
            "js": [
                "src/content/index.ts",
                "src/content/sidebar-mount.ts"
            ],
            "matches": [
                "https://twitter.com/*",
                "https://x.com/*"
            ]
        }
    ]
}